startpar-upstart-inject(8)

NOM
startpar-upstart-inject - Informer startpar des tâches upstart lancées/arrêtées

SYNOPSIS
startpar-upstart-inject nom-tâche instance [started|stopped]

DESCRIPTION
startpar-upstart-inject est une commande d'aide pour informer startpar quand une tâche upstart a démarré ou s'est arrêtée. Elle permet à startpar de s'exécuter de façon compatible avec les systèmes basés sur upstart, où beaucoup/presque toutes les tâches sont lancées directement par upstart et non par startpar. Dans ce scénario, startpar doit être informé quand une tâche upstart a démarré pour qu'il puisse lancer les scripts d'init pour les services déclarant une dépendance sur cette tâche.

OPTIONS
La commande startpar-upstart-inject prend trois arguments, tous obligatoires.

nom-tâche
    Le nom de la tâche upstart. Normalement, celui-ci correspond au nom d'un script dans le répertoire /etc/init.d.

instance
    L'instance de la tâche upstart, s'il y en a une ; autrement, une chaîne vide. Cela est actuellement ignoré par startpar qui n'a pas de concept d'instances de service.

[started|stopped]
    Le mot simple started ou stopped indiquant si la tâche donnée a été démarrée ou arrêtée.

FICHIERS

/etc/init/startpar-bridge.conf
    tâche upstart invoquant startpar-upstart-inject à chaque démarrage d'une autre tâche upstart

VOIR AUSSI
init(8), insserv(8), startpar(8), upstart-events(7)

AUTEUR
Écrit par Steve Langasek <steve.langasek@canonical.com>

COPYRIGHT
Copyright © 2012 Canonical Ltd.
C'est un logiciel libre ; consultez les sources pour les conditions de copie. Il n'y a AUCUNE garantie ; même pas de VALEUR MARCHANDE ou d'ADÉQUATION À UNE UTILISATION PARTICULIÈRE.

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.